<?php
//BambooBasic HTML Library  [html.php]
//Copyright (c) 2012 Michael Denathorn
//This software is protected by copyright, and must not be distributed by any means other then what is outlined in your End User License Agreement (EULA)
//No warranty implied, use at your own risk.

function bam_htmlheading($iNumber, $sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($iNumber > 6 || $iNumber < 1) {die("Error: Unknown header tag... Check 'HTMLHeader($iNumber)' function call");}
	
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<h".$iNumber." $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendheading($iNumber)
{
	if ($iNumber > 6 || $iNumber < 1) {die("Error: Unknown header tag... Check 'HTMLHeaderEnd($iNumber)' function call");}
	echo "</h".$iNumber.">";
}

function bam_htmlparagraph($sElementID = "", $sCSSClass = "", $sExtra = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<p $sExtra $sElementID $sCSSClass >";
}

function bam_htmlendparagraph()
{
	echo "</p>";
}

function bam_htmlitalic($sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<i $sElementID $sCSSClass $sExtra>";
}

function bam_htmlenditalic()
{
	echo "</i>";
}

function bam_htmlbold($sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<b $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendbold()
{
	echo "</b>";
}

function bam_htmlsmall($sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<small $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendsmall()
{
	echo "</small>";
}

function bam_htmlemphasize($sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<em $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendemphasize()
{
	echo "</em>";
}

function bam_htmlstrong($sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<strong $sElementID $sCSSClass $sExtra>";
}
function bam_htmlendstrong()
{
	echo "</strong>";
}

function bam_htmldefinition($sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<dfn $sElementID $sCSSClass $sExtra>";
}

function bam_htmlenddefinition()
{
	echo "</dfn>";
}

function bam_htmlcode($sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<code $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendcode()
{
	echo "</code>";
}

function bam_htmlsample($sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<samp $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendsample()
{
	echo "</samp>";
}

function bam_htmlkeyboard($sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<kbd $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendkeyboard($sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "</kbd  $sElementID $sCSSClass $sExtra>";
}

function bam_htmlvariable($sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	echo "<var $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendvariable()
{
	echo "</var>";
}

function bam_htmlcitation($sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	echo "<cite $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendcitation()
{
	echo "</cite>";
}

function bam_htmlsubscript($sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<sub $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendsubscript()
{
	echo "</sub>";
}

function bam_htmlsuperscript($sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<sup $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendsuperscript()
{
	echo "</sup>";
}

function bam_htmlinsert($sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<ins $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendinsert()
{
	echo "</ins>";
}

function bam_htmldelete($sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<del $sElementID $sCSSClass $sExtra>";
}

function bam_htmlenddelete()
{
	echo "</del>";
}

function bam_htmlstrike($sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<s $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendstrike()
{
	echo "</s>";
}

function bam_htmlabbreviation($sTitle, $sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<abbr title = \"$sTitle\" $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendabbreviation()
{
	echo "</abbr>";
}

function bam_htmladdress($sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<address $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendaddress()
{
	echo "</address>";
}

function bam_htmlblockquote($sCite = "", $sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	if ($sCite != "")
	{
		$sCite = "cite = \"$sCite\"";
	}
	
	echo "<blockquote $sCite $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendblockquote()
{
	echo "</blockquote>";
}

function bam_htmlshortquote($sCite = "", $sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	if ($sCite != "")
	{
		$sCite = "cite = \"$sCite\"";
	}
	
	echo "<q $sCite $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendshortquote()
{
	echo "</q>";
}

function bam_htmlhyperlink($sAddress,$sTarget = "_blank", $sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<a href=\"$sAddress\" target = \"$sTarget\" $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendhyperlink()
{
	echo "</a>";
}

function bam_htmlnavigation($sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<nav $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendnavigation()
{
	echo "</nav>";
}

function bam_htmlimage($sImagePath, $sAlternative,$iWidth,$iHeight, $sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<img src = \"$sImagePath\" alt = \"$sAlternative\" width=\"$iWidth\" height=\"$iHeight\" $sElementID $sCSSClass $sExtra />";
}

/*
function bam_htmlclientimagemap($sImagePath, $sMapName, $sAlternative,$iWidth,$iHeight, $sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<img src = \"$sImagePath\" alt = \"$sAlternative\" usemap = \"#$sMapName\" width=\"$iWidth\" height=\"$iHeight\" $sElementID $sCSSClass $sExtra />";
}

function bam_htmlserverimagemap($sImagePath, $sMapName, $sAlternative,$iWidth,$iHeight, $sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<img src = \"$sImagePath\" alt = \"$sAlternative\" ismap = \"#$sMapName\" width=\"$iWidth\" height=\"$iHeight\" $sElementID $sCSSClass $sExtra />";
}

function bam_htmlmap($sMapName, $sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<map name = \"#$sMapName\" $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendmap()
{
	echo "</map>";
}

function bam_htmlarea($sShape, $sCoords, $sLink, $sAlt, $sTarget = "_blank", $sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<map shape = \"$sShape\" coords = \"$sCoords\" href = \"$sLink\" target = \"$sTarget\" alt = \"$sAlt\" $sElementID $sCSSClass $sExtra />";
}*/

function bam_htmldivision($sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<div $sElementID $sCSSClass $sExtra>";
}

function bam_htmlenddivision()
{
	echo "</div>";
}

function bam_htmlarticle($sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<article $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendarticle()
{
	echo "</article>";
}

function bam_htmlfigure($sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<figure $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendfigure()
{
	echo "</figure>";
}

function bam_htmlfigcaption($sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<figcaption $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendfigcaption()
{
	echo "</figcaption>";
}

function bam_htmlaside($sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<aside $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendaside()
{
	echo "</aside>";
}

function bam_htmlmark($sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<mark $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendmark()
{
	echo "</mark>";
}

function bam_htmlspan($sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<span $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendspan()
{	
	echo "</span>";
}

function bam_htmlpreformatted($sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<pre $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendpreformatted()
{
	echo "</pre>";
}

function bam_htmlheader($sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<header $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendheader()
{
	echo "</header>";
}

function bam_htmlfooter($sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<footer $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendfooter()
{
	echo "</footer>";
}

function bam_htmlheadinggroup($sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<hgroup $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendheadinggroup()
{
	echo "</hgroup>";
}

function bam_htmlsection($sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<section $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendsection()
{
	echo "</section>";
}

function bam_htmltable($iBorder = 0, $sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<table border = \"$iBorder\" $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendtable()
{
	echo "</table>";
}

function bam_htmltablehead($sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<thead $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendtablehead()
{
	echo "</thead>";
}


function bam_htmltablebody($sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<tbody $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendtablebody()
{
	echo "</tbody>";
}


function bam_htmltablefoot($sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<tfoot $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendtablefoot()
{
	echo "</tfoot>";
}


function bam_htmltablerow($sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<tr $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendtablerow()
{
	echo "</tr>";
}

function bam_htmltablecell($iColSpan = 1, $iRowSpan = 1, $sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<td colspan = \"$iColSpan\" rowspan = \"$iRowSpan\" $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendtablecell()
{
	echo "</td>";
}

function bam_htmltableheadercell($iColSpan = 1, $iRowSpan = 1, $sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<th colspan = \"$iColSpan\" rowspan = \"$iRowSpan\" $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendtableheadercell()
{
	echo "</th>";
}

function bam_htmltablecaption($sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
		
	echo "<caption $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendtablecaption()
{
	echo "</caption>";
}

function bam_htmltablecolumn($iColSpan = 1, $sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
		
	echo "<col span = \"$iColSpan\" $sElementID $sCSSClass $sExtra />";
}

function bam_htmltablecolumngroup($iColSpan = 1, $sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
		
	echo "<colgroup span = \"$iColSpan\" $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendtablecolumngroup()
{
	echo "</colgroup>";
}


function bam_htmlcanvas($sElementID, $iWidth, $iHeight, $sCSSClass = "", $sExtra = "")
{	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<canvas id = \"$sElementID\" width=\"$iWidth\" height=\"$iHeight\" $sCSSClass $sExtra>";
}

function bam_htmlendcanvas()
{
	echo "</canvas>";
}

function bam_htmlscript($sScriptPath, $sMIMEType = "", $sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	if ($sMIMEType != "")
	{
		$sMIMEType = "type = \"$sMIMEType\"";
	}
	
	echo "<script src = \"$sScriptPath\" $sMIMEType $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendscript()
{
	echo "</script>";
}

function bam_htmldeflist($sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<dl $sElementID $sCSSClass $sExtra>";
}

function bam_htmlenddeflist()
{
	echo "</dl>";
}

function bam_htmldeflistitem($sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<dt $sElementID $sCSSClass $sExtra>";
}

function bam_htmlenddeflistitem()
{
	echo "</dt>";
}

function bam_htmldeflistitemdescription($sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<dd $sElementID $sCSSClass $sExtra>";
}

function bam_htmlenddeflistitemdescription()
{
	echo "</dd>";
}

function bam_htmlorderedlist($iReversed = 0, $sElementID = "", $sCSSClass = "", $sExtra = "")
{
	$reverseFormatting = "";
	
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	if ($iReversed != 0)
	{
		$reverseFormatting = "reversed = \"reversed\"";
	}
	
	echo "<ol $reverseFormatting $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendorderedlist()
{
	echo "</ol>";
}

function bam_htmlunorderedlist($sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
		
	echo "<ul $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendunorderedlist()
{
	echo "</ul>";
}

function bam_htmllistitem($iValue = 0, $sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	if ($iValue != 0)
	{
		$iValue = "value = \"$iValue\"";
	}
	
	echo "<li $iValue $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendlistitem()
{
	echo "</li>";
}

function bam_htmlaudio($sAudioFilePath = "", $iControls = 1, $iLoop = 0, $iAutoplay = 0, $sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	if ($iControls != 0)
	{
		$iControls = "controls = \"controls\"";
	}
	else
	{
		$iControls = "";
	}
	
	if ($iLoop != 0)
	{
		$iLoop = "loop = \"loop\"";
	}
	else
	{
		$iLoop = "";
	}
	
	if ($iAutoplay != 0)
	{
		$iAutoplay = "autoplay = \"autoplay\"";
	}
	else
	{
		$iAutoplay = "";
	}
	
	if ($sAudioFilePath != "")
	{
		$sAudioFilePath = "src = \"$sAudioFilePath\"";
	}
	
	echo "<audio $iControls $iLoop $iAutoplay $sAudioFilePath $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendaudio()
{
	echo "</audio>";
}

function bam_htmlvideo($sVideoFilePath = "", $iWidth, $iHeight, $iControls = 1, $iLoop = 0, $iAutoplay = 0, $sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	if ($iControls != 0)
	{
		$iControls = "controls = \"controls\"";
	}
	else
	{
		$iControls = "";
	}
	
	if ($iLoop != 0)
	{
		$iLoop = "loop = \"loop\"";
	}
	else
	{
		$iLoop = "";
	}
	
	if ($iAutoplay != 0)
	{
		$iAutoplay = "autoplay = \"autoplay\"";
	}
	else
	{
		$iAutoplay = "";
	}
	
	if ($sVideoFilePath != "")
	{
		$sVideoFilePath = "src = \"$sVideoFilePath\"";
	}
	
	echo "<video width = \"$iWidth\" height = \"$iHeight\" $iControls $iLoop $iAutoplay $sVideoFilePath $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendvideo()
{
	echo "</video>";
}

function bam_htmlsource($sSourcePath, $sType, $sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}

	echo "<source src = \"$sSourcePath\" type = \"$sType\" $sElementID $sCSSClass $sExtra />";
}

function bam_htmlembed($sSourcePath, $iWidth, $iHeight, $sType, $sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}

	echo "<embed src = \"$sSourcePath\" width = \"$iWidth\" height = \"$iHeight\" type = \"$sType\" $sElementID $sCSSClass $sExtra />";
}

function bam_htmlobject($sDataPath, $iWidth, $iHeight, $sType, $sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}

	echo "<object data = \"$sDataPath\" width = \"$iWidth\" height = \"$iHeight\" type = \"$sType\" $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendobject()
{
	echo "</object>";
}

function bam_htmlparameter($sName, $sValue, $sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}

	echo "<param name = \"$sName\" value = \"$sValue\" $sElementID $sCSSClass $sExtra />";
}

function bam_htmlnoscript($sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}

	echo "<noscript $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendnoscript()
{
	echo "</noscript>";
}

function bam_htmlinlineframe($sSourceDocURL, $iWidth, $iHeight, $sName = "", $sElementID = "", $sCSSClass = "", $sExtra = "")
{
	$seamlessAttribute = "";
	
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	if ($sName != "")
	{
		$sName = "name = \"$sName\"";
	}
	
	echo "<iframe src = \"$sSourceDocURL\" width = \"$iWidth\" height = \"$iHeight\" $sName $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendinlineframe()
{
	echo "</iframe>";
}

function bam_htmlinput($sName, $sValue, $sType = "button", $iDisabled = 0, $sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	if ($iDisabled != 0)
	{
		$iDisabled = "disabled = \"disabled\"";
	}
	else
	{
		$iDisabled = "";
	}
	
	echo "<input name = \"$sName\" value = \"$sValue\" type = \"$sType\" $iDisabled $sElementID $sCSSClass $sExtra />";
}

function bam_htmlform($sName, $sAction, $sMethod = "post", $sTarget = "_self", $sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<form name = \"$sName\" action = \"$sAction\" method = \"$sMethod\" target = \"$sTarget\" $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendform()
{
	echo "</form>";
}

/*
function bam_htmlbutton($sName, $sValue, $sType = "button", $iDisabled = 0, $sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	if ($iDisabled != 0)
	{
		$iDisabled = "disabled = \"disabled\"";
	}
	else
	{
		$iDisabled = "";
	}
	
	echo "<button name = \"$sName\" value = \"$sValue\" type = \"$sType\" $iDisabled $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendbutton()
{
	echo "</button>";
}
*/

function bam_htmlfieldset($sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<fieldset $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendfieldset()
{
	echo "</fieldset>";
}

function bam_htmllabel($sFor, $sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<label for = \"$sFor\" $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendlabel()
{
	echo "</label>";
}

function bam_htmllegend($sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	echo "<legend $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendlegend()
{
	echo "</legend>";
}

function bam_htmlselect($sName, $iSize = 1, $iDisabled = 0, $sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	if ($iDisabled != 0)
	{
		$iDisabled = "disabled = \"disabled\"";
	}
	else
	{
		$iDisabled = "";
	}
	
	echo "<select name = \"$sName\" size = \"$iSize\" $iDisabled $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendselect()
{
	echo "</select>";
}

function bam_htmloption($sValue, $iSelected = 0, $iDisabled = 0, $sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	if ($iDisabled != 0)
	{
		$iDisabled = "disabled = \"disabled\"";
	}
	else
	{
		$iDisabled = "";
	}
	
	if ($iSelected != 0)
	{
		$iSelected = "selected = \"selected\"";
	}
	else
	{
		$iSelected = "";
	}
	
	echo "<option value = \"$sValue\" $iSelected $iDisabled $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendoption()
{
	echo "</option>";
}

function bam_htmloptiongroup($sLabel, $iDisabled = 0, $sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	if ($iDisabled != 0)
	{
		$iDisabled = "disabled = \"disabled\"";
	}
	else
	{
		$iDisabled = "";
	}
	
	echo "<optgroup label = \"$sLabel\" $iDisabled $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendoptiongroup()
{
	echo "</optgroup>";
}

function bam_htmltextarea($sName, $iRows, $iColumns, $iDisabled = 0, $sWrap = "soft", $sElementID = "", $sCSSClass = "", $sExtra = "")
{
	if ($sElementID != "")
	{
		$sElementID = "id = \"$sElementID\"";
	}
	
	if ($sCSSClass != "")
	{
		$sCSSClass = "class = \"$sCSSClass\"";
	}
	
	if ($iDisabled != 0)
	{
		$iDisabled = "disabled = \"disabled\"";
	}
	else
	{
		$iDisabled = "";
	}
	
	echo "<textarea name = \"$sName\" rows = \"$iRows\" cols = \"$iColumns\" wrap = \"$sWrap\" $iDisabled $sElementID $sCSSClass $sExtra>";
}

function bam_htmlendtextarea()
{
	echo "</textarea>";
}
?>