<?php
//BambooBasic mySQL Library  [mysql.php]
//Copyright (c) 2012 Michael Denathorn
//This software is protected by copyright, and must not be distributed by any means other then what is outlined in your End User License Agreement (EULA)
//No warranty implied, use at your own risk.

function bam_mysqlconnect($sHost,$sUsername, $sPassword, $sDBName = "") //
{
	return(mysqli_connect($sHost,$sUsername, $sPassword, $sDBName));
}

function bam_mysqlclose($sResource) //
{
	return(mysqli_close($sResource));
}

function bam_mysqlaffectedrows($SQLLink) //
{
	return(mysqli_affected_rows($SQLLink));
}

function bam_mysqlgetclientinfo($SQLLink) //
{
	return(mysqli_get_client_info($SQLLink));
}

function bam_mysqlgetclientversion($SQLLink) //
{
	return(mysqli_get_client_version($SQLLink));
}

function bam_mysqlconnecterrornumber() //
{
	return(mysqli_connect_errno());
}

function bam_mysqlconnecterror() //
{
	return(mysqli_connect_error());
}

function bam_mysqlerrornumber($SQLLink) //
{
	return(mysqli_errno($SQLLink));
}

function bam_mysqlerror($SQLLink) //
{
	return(mysqli_error($SQLLink));
}

function bam_mysqlfieldcount($SQLLink)
{
	return(mysqli_field_count($SQLLink));
}

function bam_mysqlgethostinfo($SQLLink) //
{
	return(mysqli_get_host_info($SQLLink));
}

function bam_mysqlgetprotocolinfo($SQLLink) //
{
	return(mysqli_get_proto_info($SQLLink));
}

function bam_mysqlgetserverinfo($SQLLink) //
{
	return(mysqli_get_server_info($SQLLink));
}

function bam_mysqlgetserverversion($SQLLink) //
{
	return(mysqli_get_server_version($SQLLink));
}

function bam_mysqlinfo($SQLLink) //
{
	return(mysqli_info($SQLLink));
}

function bam_mysqlinsertid($SQLLink) //
{
	return(mysqli_insert_id($SQLLink));
}

function bam_mysqlsqlstate($SQLLink) //
{
	return(mysqli_sqlstate($SQLLink));
}

function bam_mysqlautocommit($SQLLink,$bMode) //
{
	return(mysqli_autocommit($SQLLink,$bMode));
}

function bam_mysqlchangeuser($SQLLink,$sUser, $sPassword, $sDatabase) //
{
	return(mysqli_change_user($SQLLink,$sUser, $sPassword, $sDatabase));
}

function bam_mysqlcharactersetname($SQLLink) //
{
	return(mysqli_character_set_name($SQLLink));
}

function bam_mysqlcommit($SQLLink) //
{
	return(mysqli_commit($SQLLink));
}

function bam_mysqlgetconnectionstats($SQLLink) //
{
	return(mysqli_get_connection_stats($SQLLink));
}

function bam_mysqlkill($SQLLink,$iProcessID) //
{
	return(mysqli_kill($SQLLink,$iProcessID));
}

function bam_mysqlmoreresults($SQLLink) //
{
	return(mysqli_more_results($SQLLink));
}

function bam_mysqlmultiquery($SQLLink,$sQuery) //
{
	return(mysqli_multi_query($SQLLink,$sQuery));
}

function bam_mysqlnextresult($SQLLink) //
{
	return(mysqli_next_result($SQLLink));
}

function bam_mysqlping($SQLLink) //
{
	return(mysqli_ping($SQLLink));
}

function bam_mysqlprepare($SQLLink,$sQuery)
{
	return(mysqli_prepare($SQLLink,$sQuery));
}

function bam_mysqlquery($SQLLink,$sQuery) //
{
	return(mysqli_query($SQLLink,$sQuery));
}

function bam_mysqlrealescapestring($SQLLink,$sEscapeString) //
{
	return(mysqli_real_escape_string($SQLLink,$sEscapeString));
}

function bam_mysqlrefresh($SQLLink,$iOptions)
{
	return(mysqli_refresh($SQLLink,$iOptions));
}

function bam_mysqlrollback($SQLLink)
{
	return(mysqli_rollback($SQLLink));
}

function bam_mysqlselectdatabase($SQLLink,$sDatabaseName) //
{
	return(mysqli_select_db($SQLLink,$sDatabaseName));
}

function bam_mysqlsetcharset($SQLLink,$sCharset) //
{
	return(mysqli_set_charset($SQLLink,$sCharset));
}

function bam_mysqlsetlocalinfiledefault($SQLLink)
{
	return(mysqli_set_local_infile_default($SQLLink));
}

function bam_mysqlsetlocalinfilehandler($SQLLink,$readFunc)
{
	return(mysqli_set_local_infile_handler($SQLLink,$readFunc));
}

function bam_mysqlsslset($SQLLink, $sKey, $sCert, $sCA, $sCAPath, $sCipher)
{
	return(mysqli_ssl_set($SQLLink, $sKey, $sCert, $sCA, $sCAPath, $sCipher));
}

function bam_mysqlstat($SQLLink) //
{
	return(mysqli_stat($SQLLink));
}

function bam_mysqlstatementinit($SQLLink)
{
	return(mysqli_stmt_init($SQLLink));
}

function bam_mysqlstoreresult($SQLLink) //
{
	return(mysqli_store_result($SQLLink));
}

function bam_mysqlthreadID($SQLLink) //
{
	return(mysqli_thread_id($SQLLink));
}

function bam_mysqlthreadsafe() //
{
	return(mysqli_thread_safe());
}

function bam_mysqluseresult($SQLLink) //
{
	return(mysqli_use_result($SQLLink));
}

function bam_mysqlfieldtell($SQLResult) //
{
	return(mysqli_field_tell($SQLResult));
}

function bam_mysqlnumfields($SQLResult) //
{
	return(mysqli_num_fields($SQLResult));
}

function bam_mysqlfetchlengths($SQLResult) //
{
	return(mysqli_fetch_lengths($SQLResult));
}

function bam_mysqlnumrows($SQLResult) //
{
	return(mysqli_num_rows($SQLResult));
}

function bam_mysqldataseek($SQLResult,$iOffset) //
{
	return(mysqli_data_seek($SQLResult,$iOffset));
}

function bam_mysqlfetchall($SQLResult) //
{
	return(mysqli_fetch_all($SQLResult));
}

function bam_mysqlfetcharray($SQLResult) //
{
	return(mysqli_fetch_array($SQLResult, MYSQLI_BOTH));
}

function bam_mysqlfetchassociative($SQLResult) //
{
	return(mysqli_fetch_assoc($SQLResult));
}

function bam_mysqlfetchfielddirect($SQLResult,$iFieldNumber) //
{
	return(mysqli_fetch_field_direct($SQLResult,$iFieldNumber));
}

function bam_mysqlfetchfield($SQLResult) //
{
	return(mysqli_fetch_field($SQLResult));
}

function bam_mysqlfetchfields($SQLResult) //
{
	return(mysqli_fetch_fields($SQLResult));
}

function bam_mysqlfetchobject($SQLResult) //
{
	return(mysqli_fetch_object($SQLResult));
}

function bam_mysqlfetchrow($SQLResult) //
{
	return(mysqli_fetch_row($SQLResult));
}

function bam_mysqlfieldseek($SQLResult, $iFieldNumber)
{
	return(mysqli_field_seek($SQLResult, $iFieldNumber));
}

function bam_mysqlfreeresult($SQLResult) //
{
	return(mysqli_free_result($SQLResult));
}

class mysqlfielddefinition
{
	public $name;
	public $orgname;
	public $table;
	public $def;
	public $db;
	public $catalog;
	public $max_length;
	public $length;
	public $charsetnr;
	public $flags;
	public $_type;
	public $decimals;
}

?>