<?php
//BambooBasic String Library  [string.php]
//Copyright (c) 2012 Michael Denathorn
//This software is protected by copyright, and must not be distributed by any means other then what is outlined in your End User License Agreement (EULA)
//No warranty implied, use at your own risk.

function bam_left($sStr,$iLength)
{
	return(substr($sStr,0,$iLength));
}

function bam_right($sStr,$iLength)
{
	return(substr($sStr,-$iLength));
}

function bam_mid($sStr,$iOffset,$iLength)
{
	return(substr($sStr,$iOffset-1,$iLength));
}

function bam_replace($sStr,$sFind,$sReplace)
{
	return(str_replace($sFind,$sReplace,$sStr));
}

function bam_instr($sString1, $sString2, $iOffset = 1)
{
	$pos = strpos($sString1, $sString2,$iOffset-1);
	
	if ($pos === false) 
	{
		return 0;
	} 
	else 
	{
		return ($pos+1);
	}
}

function bam_upper($sStr)
{
	return(strtoupper($sStr));
}

function bam_lower($sStr)
{
	return(strtolower($sStr));
}

function bam_trim($sStr)
{
	return(ltrim(rtrim($sStr)));
}

function bam_chr($iAscii)
{
	return(chr($iAscii));
}

function bam_asc($sChr)
{
	return(ord($sChr));
}

function bam_len($sStr)
{
	return(strlen($sStr));
}

function bam_dectohex($iNumber)
{
	return(dechex($iNumber));
}


function bam_dectobin($iNumber)
{
	return(decbin($iNumber));
}

function bam_hextodec($sStr)
{
	return(hexdec($sStr));
}


function bam_bintodec($sStr)
{
	return(bindec($sStr));
}

function bam_crypt($sStr,$sSalt)
{
	return(crypt($sStr, $sSalt));
}

function bam_md5($sStr)
{
	return(md5($sStr));
}

function bam_explode($sStr, $sDelimiter)
{
	return(explode($sDelimiter, $sStr));
}
?>